Skip to main content
GET
/
v1
/
identity
Identity
curl --request GET \
  --url https://api.incident.io/v1/identity \
  --header 'Authorization: Bearer <token>'
{
  "identity": {
    "dashboard_url": "https://app.incident.io/my-org",
    "name": "Alertmanager token",
    "roles": [
      "viewer"
    ],
    "team_roles": [
      "schedules_editor"
    ],
    "teams": [
      {
        "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
        "name": "Platform"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Response

200 - application/json

OK response.

identity
object
required
Example:
{
  "dashboard_url": "https://app.incident.io/my-org",
  "name": "Alertmanager token",
  "roles": ["viewer"],
  "team_roles": ["schedules_editor"],
  "teams": [
    {
      "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
      "name": "Platform"
    }
  ]
}